## python-datapoint 0.9.9

=== requirements.txt ===
requests==2.24.0
appdirs==1.4.4
pytz==2020.1
requests-mock==1.8.0

=== debian/changelog ===
python-datapoint (0.9.9-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Feb 2025 21:07:50 +0100

python-datapoint (0.9.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1095161)

 -- Edward Betts <edward@4angle.com>  Tue, 04 Feb 2025 15:58:26 +0000

=== debian/control ===
Source: python-datapoint
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-appdirs <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-mock <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-tz <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Perseudonymous/datapoint-python
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-datapoint
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-datapoint.git

Package: python3-datapoint
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library to access UK Met Office weather data via the DataPoint API
 This library offers a straightforward interface to retrieve detailed weather
 data from the UK Met Office's DataPoint API. Users can access a variety of
 forecast types, including daily forecasts with two time steps and 3-hourly
 forecasts with eight time steps. In addition to forecasts, it allows users to
 obtain observations from various sites. The library supports the retrieval of
 weather data, such as temperature, wind speed, humidity, and UV index.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

execute_after_dh_installexamples:
	sed -i '1s,^#!/usr/bin/env python$$,#!/usr/bin/python3,' \
		debian/*/usr/share/doc/*/examples/*/*.py

## python-datapoint 0.13.0

=== docs/requirements.txt ===
sphinx
-e .

=== debian/changelog ===
python-datapoint (0.13.0-2) unstable; urgency=medium

  * d/patches/0003-Remove-appdirs.patch:
    Remove unused appdirs from pyproject.toml. (Closes: #1112217)
  * Add myself to Uploaders.
  * Delete unused paragraphs in d/copyright since versioneer.py does not exist
    any more.
  * Add debian/salsa-ci.yml.

 -- Tianyu Chen <billchenchina2001@gmail.com>  Sat, 30 Aug 2025 05:23:56 +0800

python-datapoint (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Add a build dependency for python3-geojson.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Upstream switched build system from setuptools to hatchling.
  * Remove unused python3-appdirs Build-Depends. (Closes: #1095915)
  * Privacy breach patch no longer required.
  * Patch pyproject.toml to read version from debian/changelog instead of
    retrieving it using versioningit.
  * Documentation conf.py moved to docs/source, adjust sphinx-build call in
    debian/rules.
  * Patch docs/source/conf.py to use DEB_VERSION_UPSTREAM environment variable
    for version number.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Feb 2025 05:30:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Edward Betts <edward@4angle.com>,
+ Tianyu Chen <billchenchina2001@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -10,19 +11,20 @@
  dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
- python3-appdirs <!nocheck>,
  python3-pytest <!nocheck>,
  python3-requests <!nocheck>,
  python3-requests-mock <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-tz <!nocheck>,
+ python3-geojson <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Perseudonymous/datapoint-python
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-datapoint
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-datapoint.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-datapoint
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

execute_after_dh_installexamples:
	sed -i '1s,^#!/usr/bin/env python$$,#!/usr/bin/python3,' \
		debian/*/usr/share/doc/*/examples/*/*.py

=== debian/watch ===
version=4
https://github.com/Perseudonymous/datapoint-python/tags .*/v?(\d\S+)\.tar\.gz
